Subject: Re: [PATCH 1/5] ARM: configs: drop unused BACKLIGHT_GENERIC option

From: Catalin Marinas <[email-masked]>
Date: Tue, 1 Dec 2020 14:40:53 +0000

On Mon, Nov 30, 2020 at 07:50:25PM +0000, ZHIZHIKIN Andrey wrote:
> From Krzysztof Kozlowski <[email-masked]>:
> > On Mon, Nov 30, 2020 at 03:21:33PM +0000, Andrey Zhizhikin wrote:
> > > Commit 7ecdea4a0226 ("backlight: generic_bl: Remove this driver as it is
> > > unused") removed geenric_bl driver from the tree, together with
> > > corresponding config option.
> > >
> > > Remove BACKLIGHT_GENERIC config item from all ARM configurations.
> > >
> > > Fixes: 7ecdea4a0226 ("backlight: generic_bl: Remove this driver as it
> > > is unused")
> > > Cc: Sam Ravnborg <[email-masked]>
> > > Signed-off-by: Andrey Zhizhikin
> > > <[email-masked]>
> > > ---
> > >  arch/arm/configs/at91_dt_defconfig        | 1 -
> > >  arch/arm/configs/cm_x300_defconfig        | 1 -
> > >  arch/arm/configs/colibri_pxa300_defconfig | 1 -
> > >  arch/arm/configs/jornada720_defconfig     | 1 -
> > >  arch/arm/configs/magician_defconfig       | 1 -
> > >  arch/arm/configs/mini2440_defconfig       | 1 -
> > >  arch/arm/configs/omap2plus_defconfig      | 1 -
> > >  arch/arm/configs/pxa3xx_defconfig         | 1 -
> > >  arch/arm/configs/qcom_defconfig           | 1 -
> > >  arch/arm/configs/sama5_defconfig          | 1 -
> > >  arch/arm/configs/sunxi_defconfig          | 1 -
> > >  arch/arm/configs/tegra_defconfig          | 1 -
> > >  arch/arm/configs/u8500_defconfig          | 1 -
> > >  13 files changed, 13 deletions(-)
> > 
> > You need to send it to arm-soc maintainers, otherwise no one might feel
> > responsible enough to pick it up.
> 
> Good point, thanks a lot!
> 
> I was not aware of the fact that there is a separate ML that should
> receive patches targeted ARM SOCs. Can you (or anyone else) please
> share it, so I can re-send it there as well?

It's not a mailing list as such (with archives etc.), just an alias to
the arm-soc maintainers: [email-masked].

> > Reviewed-by: Krzysztof Kozlowski <[email-masked]>
> > 
> > +CC Arnd and Olof,
> > 
> > Dear Arnd and Olof,
> > 
> > Maybe it is worth to add arm-soc entry to the MAINTAINERS file?
> > Otherwise how one could get your email address? Not mentioning the
> > secret-soc address. :)

I tried to convince them before, it didn't work. I guess they don't like
to be spammed ;). Or rather, SoC-specific patches, even to defconfig,
should go through the specific SoC maintainers. However, there are
occasional defconfig patches which are more generic or affecting
multiple SoCs. I just ignore them as the arm64 defconfig is usually
handled by the arm-soc folk (when I need a defconfig change, I go for
arch/arm64/Kconfig directly ;)).

Anyway, I still think that we should add a MAINTAINERS entry for
arch/arm64/configs/defconfig and arch/arm64/Kconfig.platforms.

-- 
Catalin